﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Wizard.UI;

namespace Footbreak.AddISOWizard
{
    public partial class CompletePage : Wizard.UI.ExternalWizardPage
    {
        private ISOData mISOData;

        public CompletePage( ISOData aISOData )
        {
            mISOData = aISOData;
            InitializeComponent();
            return;
        }

        private void CompletePage_SetActive( object sender, CancelEventArgs e )
        {
            SetWizardButtons( WizardButtons.Finish | WizardButtons.Back );
            textBox1.Text = "";
            textBox1.Text += String.Format( "{0}\r\n", mISOData.ISOPath );
            textBox1.Text += String.Format( "{0}\r\n", mISOData.SeriesName );
            textBox1.Text += String.Format( "Season {0}\r\n", mISOData.SeasonNumber );
            var lQuery = ( from s in mISOData.HandbrakeTitles
                           where s.EpisodeTitle != ""
                           select s );
            foreach ( HandbrakeTitle lTitle in lQuery )
            {
                textBox1.Text += String.Format( "Title {0} - Episode {1} ({2})\r\n", lTitle.Title, lTitle.EpisodeNumber, lTitle.EpisodeTitle );

                lTitle.SeriesName = mISOData.SeriesName;
                lTitle.SeasonNumber = mISOData.SeasonNumber;
            }

            mISOData.SelectedTitles = lQuery.ToList();
            return;
        }
    }
}
